component {

	public void function configure( required struct config ) {
		var conf     = arguments.config;
		var settings = conf.settings ?: {};

		settings.mapkit.defaults = {
			  defaultLatitude  = 51.3896
			, defaultLongitude = -2.3697
			, defaultDelta     = 3
			, focusDelta       = 0.02
		}
		settings.weatherkit.defaults = {
			  language = "en_GB"
			, timezone = "Europe/London"
		}

		ArrayAppend( conf.interceptors, { class="app.extensions.preside-ext-apple-services.interceptors.AppleServicesSystemConfigInterceptor", properties={} } );
	}

}