<style>
	.presidecms .form-group .apple-services-token-generator .token-generator-expiry {
		width      : 3em;
		text-align : center;
		display    : inline;
	}
	.presidecms .form-group .apple-services-token-generator .token-generator-expiry-unit {
		width   : auto;
		display : inline;
	}
	.presidecms .form-group .apple-services-token-generator .token-generator-button {
		margin-right : 1em;
	}
	.presidecms .form-group .apple-services-token-generator .token-generator-output {
		margin-top : 1em;
		display    : none;
	}
	.presidecms .form-group .apple-services-token-generator .token-generator-output-result {
		border     : 0;
		padding    : 1em;
		background : #f3f3f3;
	}
</style>
<cfoutput>
	<div class="apple-services-token-generator"
		data-generator-url="#args.generatorUrl#"
		data-service="#args.service#"
		data-alert-title="#args.alertTitle#"
		data-copied-text="#args.copiedText#"
		data-alert-position="#args.alertPosition#">
		<div>
			<button type="button" class="btn btn-info token-generator-button">
				<i class="fa fa-fw fa-passport"></i>
				#translateResource( "formcontrols.appleServicesTokenGenerator:button.generate" )#
			</button>

			<cfif args.type eq "jwt">
				#translateResource( "formcontrols.appleServicesTokenGenerator:expiry.label" )#
				<input type="text" size="3" class="form-control token-generator-expiry" value="20">
				<select class="form-control token-generator-expiry-unit">
					<option value="s">#translateResource( "formcontrols.appleServicesTokenGenerator:expiry.unit.seconds" )#</option>
					<option value="n" selected>#translateResource( "formcontrols.appleServicesTokenGenerator:expiry.unit.minutes" )#</option>
					<option value="h">#translateResource( "formcontrols.appleServicesTokenGenerator:expiry.unit.hours" )#</option>
					<option value="d">#translateResource( "formcontrols.appleServicesTokenGenerator:expiry.unit.days" )#</option>
				</select>
			<cfelse>
				#translateResource( "formcontrols.appleServicesTokenGenerator:authtoken.expiry.label" )#
			</cfif>
		</div>
		<div class="token-generator-output">
			<textarea class="token-generator-output-result" cols="60" rows="5" readonly></textarea>
		</div>
	</div>
</cfoutput>