<cfscript>
	inputName      = args.name           ?: "";
	inputId        = args.id             ?: "";
	postcodeField  = args.postcodeField  ?: "";
	addressFields  = args.addressFields  ?: "";
	latitudeField  = args.latitudeField  ?: "";
	longitudeField = args.longitudeField ?: "";
</cfscript>

<cfoutput>
	<div class="admin-mapkit-picker">
		<div class="admin-mapkit-picker-map"
			id="#inputId#"
			data-postcode-field="#postcodeField#"
			data-address-fields="#addressFields#"
			data-latitude-field="#latitudeField#"
			data-longitude-field="#longitudeField#"
			style="height:500px;"
		></div>

		<div class="admin-mapkit-picker-buttons" style="text-align:right;margin-top:4px;">
			<cfif Len( postcodeField )>
				<button type="button" class="btn btn-info marker-set-at-postcode">
					<i class="fa fa-fw fa-location-arrow"></i>
					#translateResource( "formcontrols.mapkitLocationPicker:button.marker.at.postcode" )#
				</button>
			</cfif>
			<cfif Len( addressFields )>
				<button type="button" class="btn btn-info marker-set-at-address">
					<i class="fa fa-fw fa-location-arrow"></i>
					#translateResource( "formcontrols.mapkitLocationPicker:button.marker.at.address" )#
				</button>
			</cfif>
			<button type="button" class="btn btn-info marker-set-at-centre">
				<i class="fa fa-fw fa-crosshairs"></i>
				#translateResource( "formcontrols.mapkitLocationPicker:button.marker.at.centre" )#
			</button>
			<button type="button" class="btn marker-reset">
				<i class="fa fa-fw fa-undo"></i>
				#translateResource( "formcontrols.mapkitLocationPicker:button.marker.reset" )#
			</button>
		</div>
	</div>
</cfoutput>